JIMB (Jabber Instant Messaging Bot)
by Martin Kelm <martinkelm@idxsolutions.de>

Subpackages:
- JIMCI - Connection Interface
- JIMBS - Bot Services

JIMB offers a more stable service daemon to transmit messages
between users and an external application and vise versa and a bunch of attached
service scripts to perform.
The connection interface uses a mysql database to store incoming messages and 
to read/send outgoing messages. Furthermore the queue database table offers a generic structure 
to support as much use cases as possible.
The bot services offer a parser to detect modules,
commands and parameters in messages before performing further service modules.

Package dependencies:
- libloudmouth1-0 (build/run)
- libglib2.0-0 (build/run)
- libmysql, i.e. libmysqlclient15off (build/run)
- libconfig8-1.3.2 (build/run)

- libloudmouth1-dev (build)
- libglib2.0-dev (build)
- libmysql-dev, i.e. libmysqlclient15-dev (build)
- libdebug0 (build)
